com.fasterxml.jackson.databind.deser.std

## Class DateDeserializers.DateDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.DateDeserializers.DateBasedDeserializer<Date>
        - - com.fasterxml.jackson.databind.deser.std.DateDeserializers.DateDeserializer

All Implemented Interfaces:
  ContextualDeserializer, Serializable

Enclosing class:
  DateDeserializers

    public static class DateDeserializers.DateDeserializer
    extends DateDeserializers.DateBasedDeserializer<Date>

Simple deserializer for handling `Date` values.

One way to customize Date formats accepted is to override method `DeserializationContext.parseDate(java.lang.String)` that this basic deserializer calls.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

Fields
`static DateDeserializers.DateDeserializer` `instance`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.DateDeserializers.DateBasedDeserializer

`_customFormat, _formatString`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`DateDeserializers.DateDeserializer()`
`DateDeserializers.DateDeserializer(DateDeserializers.DateDeserializer base, DateFormat df, String formatString)`

### Method Summary

Methods
`Date` `deserialize(JsonParser jp, DeserializationContext ctxt)` Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles.
`protected DateDeserializers.DateDeserializer` `withDateFormat(DateFormat df, String formatString)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.DateDeserializers.DateBasedDeserializer

`_parseDate, createContextual`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_hasTextualNull, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final DateDeserializers.DateDeserializer instance

### Constructor Detail

#### DateDeserializers.DateDeserializer

    public DateDeserializers.DateDeserializer()

#### DateDeserializers.DateDeserializer

    public DateDeserializers.DateDeserializer(DateDeserializers.DateDeserializer base,
                                      DateFormat df,
                                      String formatString)

### Method Detail

#### withDateFormat

    protected DateDeserializers.DateDeserializer withDateFormat(DateFormat df,
                                                    String formatString)

Specified by:
  `withDateFormat` in class `DateDeserializers.DateBasedDeserializer<Date>`

#### deserialize

    public Date deserialize(JsonParser jp,
                   DeserializationContext ctxt)
                     throws IOException,
                            JsonProcessingException

Description copied from class: `JsonDeserializer`
Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles. Returned instance is to be constructed by method itself.

Pre-condition for this method is that the parser points to the first event that is part of value to deserializer (and which is never JSON 'null' literal, more on this below): for simple types it may be the only value; and for structured types the Object start marker. Post-condition is that the parser will point to the last event that is part of deserialized value (or in case deserialization fails, event that was not recognized or usable, which may be the same event as the one it pointed to upon call).

Note that this method is never called for JSON null literal, and thus deserializers need (and should) not check for it.

Specified by:
  `deserialize` in class `JsonDeserializer<Date>`
Parameters:
  `jp` - Parsed used for reading JSON content
  `ctxt` - Context that can be used to access information about this deserialization activity.
Returns:
  Deserialized value
Throws:
  `IOException`
  `JsonProcessingException`